using System;
using System.Collections.Generic;

namespace AlicizaX.UI
{
    public class MixedAdapter<TData> : Adapter<TData> where TData : IMixedViewData
    {
        public MixedAdapter(RecyclerView recyclerView) : base(recyclerView)
        {
        }

        public MixedAdapter(RecyclerView recyclerView, List<TData> list) : base(recyclerView, list)
        {
        }

        public MixedAdapter(RecyclerView recyclerView, List<TData> list, Action<TData> onItemClick) : base(recyclerView, list, onItemClick)
        {
        }

        public override string GetViewName(int index)
        {
            return list[index].TemplateName;
        }
    }
}
